import { get, post, put } from "../utils/wxrequest";

export const loginAPI = (data) => post("/sys/mLogin", data); //登录

export const saveClientIdAPI = (data) => get("/sys/user/saveClientId", data); //登录后移动端保存设备信息

export const regAPI = (data) => post("/api/v1/auth/reg", data); //注册

export const LoadUserInfoAPI = () => get("/sys/user/getUserInfo"); //获取个人信息

export const chkAPI = () => post("/api/v1/user/check_in"); //签到

export const updateUserInfoAPI = (data) => put("/sys/user/edit", data); //修改个人信息

export const updatePassword = (data) => put("/sys/user/changePassword", data); //修改密码
